/*******************************************************************************
*                                 ZM4xx
*                       ----------------------------
*                       innovating embedded platform
*
* Copyright (c) 2001-present Guangzhou ZHIYUAN Electronics Co., Ltd.
* ALL rights reserved.
*
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
* IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
* FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
* 
* The software is free to use in a commercial product and should not be
* redistributed in any way. See the LICENSE file for more details.
* 
* Contact information:
* web site:    http://www.zlg.cn/
*******************************************************************************/

/**
 * \file
 * \brief  demo ں  
 *
 * \internal
 * \par Modification history
 * - 1.00 18-06-29  vir, first implementation.
 * \endinternal
 */

#ifndef __DEMO_ALL_ENTRIES_H__
#define __DEMO_ALL_ENTRIES_H__
 
#include "radio.h"


void demo_zm4xx_polling_entry (radio_handle_t handle);

void demo_zm4xx_int_entry (radio_handle_t handle);

void demo_zm4xx_rxdata_cad_only (radio_handle_t handle);

void demo_zm4xx_rxdata_cad_rx (radio_handle_t handle);

 

#endif



