/*******************************************************************************
*                                 ZM4xx
*                       ----------------------------
*                       innovating embedded platform
*
* Copyright (c) 2001-present Guangzhou ZHIYUAN Electronics Co., Ltd.
* ALL rights reserved.
*
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
* IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
* FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
* 
* The software is free to use in a commercial product and should not be
* redistributed in any way. See the LICENSE file for more details.
* 
* Contact information:
* web site:    http://www.zlg.cn/
*******************************************************************************/

/**
 * \file
 * \brief SPI
 *
 * \internal
 * \par Modification history
 * - 1.00 17-11-22  sup, first implementation.
 * \endinternal
 */

#ifndef BOARD_SPI_H_
#define BOARD_SPI_H_

#include "stdint.h"


#define   HARDWARE_SPI            1              /*   1ΪʹӲSPI0ΪʹģSPI   */


/* SPIʼ */
int mcu_spi_init (void);

/* SPI һֽںýӿڱṩ */
void mcu_spi_send_byte (uint8_t send_data);

/* SPIһֽںýӿڱṩ */
uint8_t mcu_spi_recv_byte (void);



#endif 





