
/*******************************************************************************
*                                 ZM4xx
*                       ----------------------------
*                       innovating embedded platform
*
* Copyright (c) 2001-present Guangzhou ZHIYUAN Electronics Co., Ltd.
* ALL rights reserved.
*
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
* IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
* FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
* 
* The software is free to use in a commercial product and should not be
* redistributed in any way. See the LICENSE file for more details.
* 
* Contact information:
* web site:    http://www.zlg.cn/
*******************************************************************************/

/**
 * \file
 * \brief LoRaģжϴ
 *
 * \internal
 * \par Modification history
 * - 1.00 17-11-22  sup, first implementation.
 * \endinternal
 */

#ifndef RADIO_INT_H_
#define RADIO_INT_H_

#include "radio.h"

typedef void (*pfn_radio_int_cb) (void);
 
/* CPUжϡýӿڱṩ */
uint32_t cpu_lock (void);

/* CPUжϡýӿڱṩ */
void cpu_unlock(uint32_t cpu_key);

/* ģжϳʼ */
void radio_int_init (radio_handle_t handle, pfn_radio_int_cb radio_int_cb);

#endif








