/*******************************************************************************
*                                 ZM4xx
*                       ----------------------------
*                       innovating embedded platform
*
* Copyright (c) 2001-present Guangzhou ZHIYUAN Electronics Co., Ltd.
* ALL rights reserved.
*
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
* IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
* FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
* 
* The software is free to use in a commercial product and should not be
* redistributed in any way. See the LICENSE file for more details.
* 
* Contact information:
* web site:    http://www.zlg.cn/
*******************************************************************************/

/**
 * \file
 * \brief SX126x radio differ
 *
 *  radio.hļҪʹõͲ
 *
 * \internal
 * \par Modification history
 * - 1.00 18-6-8  sup, first implementation.
 * \endinternal
 */
 
#ifndef __SX126X_RADIO_DIFFER_H
#define __SX126X_RADIO_DIFFER_H 

/**
 * \brief ģ
 *   int radio_ioctl (radio_handle_t handle, int cmd, void *p_arg)cmd 
 */
 
#define CAD_START       0x01    /* CADģʽ */ 
#define SET_CAD_ONLY    0x02    /* CADģʽΪCAD_ONLY */
#define SET_CAD_RX      0x03    /* CADģʽΪCAD_RX   */
#define BW_SET          0x04    /* ô        */
#define SF_SET          0x05    /* Ƶ    */
#define RATE_LEVEL_SET  0x06    /* FSKʵȼ */
#define CAP_SET         0x07    /* Դ޵ֵ */



/*
 * \brief  CADģʽӦĲ: CADⷵص״̬ 
 *
 * \note: ʱ򣬷ͶδݣоƬܻ⵽ǰ룬
 * \par ʾ
 * \code
 * uint8_t status;
 * radio_ioctl(handle,SX126X_CAD_START,&status);  //ֱCAD˳ 
 * if( status ==  SX126X_CAD_DETECT) {
 *    radio_mode_set(handle, RX_MODE);  //ģʽ
 * }
 *
 */
#define CAD_NONE       0x00    /* δ⵽ǰ  */
#define CAD_DETECT     0x01    /* ⵽ǰ */

/**
 * \brief ģ鵱ǰ״̬
 */
typedef enum {
    IDLE_ST = 0,
    RX_RUNING_ST,
    TX_RUNING_ST,
    CAD_ST
} radio_state_t;

#endif

