/*******************************************************************************
*                                 ZM4xx
*                       ----------------------------
*                       innovating embedded platform
*
* Copyright (c) 2001-present Guangzhou ZHIYUAN Electronics Co., Ltd.
* ALL rights reserved.
*
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
* IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
* FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
* 
* The software is free to use in a commercial product and should not be
* redistributed in any way. See the LICENSE file for more details.
* 
* Contact information:
* web site:    http://www.zlg.cn/
*******************************************************************************/

#ifndef BOARD_GPIO_H_
#define BOARD_GPIO_H_


#include "stdint.h"
#include "gpio.h"



/* GPIOųʼ  */
void mcu_gpio_init (void);

/*
 * SX_NRESET λŵƽáýӿڱṩ
 * val=0ʾΪ͵ƽval =1ʾΪߵƽ
 */ 
void mcu_gpio_rst_pin_set (uint8_t val);

/*
 * SPI_NSS Ƭѡŵƽáýӿڱṩ
 * val=0ʾΪ͵ƽval =1ʾΪߵƽ
 */ 
void mcu_gpio_sel_pin_set (uint8_t val);

/*
 * Ƶطŵƽáýӿڿɸģѡṩ
 * ΪZSL420ZSL421ZM1268S ZM68Sģ飬ṩ˽ӿ
 * val=0ʾΪ͵ƽval =1ʾΪߵƽ
 * ΪZSL64ϵģ飬ֱô˽ӿΪNULL߽ӿʵΪ
 */
void mcu_gpio_txen_pin_set (uint8_t val);

/*
 * VCTL_1(RXEN) Ƶؽտŵƽáýӿڱṩ
 * val=0ʾΪ͵ƽval =1ʾΪߵƽ
 */
void mcu_gpio_rxen_pin_set (uint8_t val);

/*
 * BUSY æŵƽȡýӿڱṩ
 * 0ʾΪ͵ƽ1ʾΪߵƽ
 */
uint8_t mcu_gpio_busy_pin_read (void);

/* GPIOŵƽת */
void mcu_gpio_pin_toggle (en_gpio_port_t enPort, en_gpio_pin_t enPin);



#endif











